# /**
#
# \name{zzz}
#
# \title{dummy to call .First.lib}
#
# \alias{zzz}
#
# \keyword{}
#
# \description{}
#
# \value{}
#
#
# \arguments{
#  \item{libname}{libname}
#  \item{pkgname}{pkgname}
#  \item{where}{where}
# }
# 
# \details{}
#
# \seealso{\code{}}
#
# \author{Andreas Buness <a.buness@dkfz.de>}
# 
# */

# Namespace 
# same signature as .First.lib
.onLoad <- function(libname, pkgname, where){
  return(.First.Lib(libname, pkgname, where))
}

# do not know the signature
.onAttach <- function(...){

}

# standard way
.First.lib <- function(libname, pkgname, where){

  if( !require(methods) ){
    stop("required package methods \n")
  }
  if( !require(Biobase) ){
    stop("required package Biobase \n")
  }
  if( !require(vsn) ){
     warning("you might require package vsn \n")
   }

  where <- match(paste("package:", pkgname, sep=""), search())
  initExprSetArray(where)
  initClasses(where)
}


